> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get app configuration items

GET https://{tenant_name}.benchling.com/api/v2/app-configuration-items

Get app configuration items

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/apps/list-app-configuration-items

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `nextToken` (string, optional) — Token for pagination
- `pageSize` (integer, optional, default: 50) — Number of results to return. Defaults to 50, maximum of 100.
- `modifiedAt` (string, optional) — Datetime, in RFC 3339 format. Supports the > and \< operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND \<YYYY-MM-DD.
- `appId` (string, optional) — App id to which the configuration belongs.
- `ids` (string, optional) — Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.
- `sort` (enum, optional, default: modifiedAt:desc) — Method by which to order search results. Valid sorts are modifiedAt (modified time, most recent first) and createdAt (created time, most recent first). Optionally add :asc or :desc to specify ascending or descending order.
  - Allowed values: `createdAt`, `createdAt:asc`, `createdAt:desc`, `modifiedAt`, `modifiedAt:asc`, `modifiedAt:desc`

## Response

### 200

OK

- `appConfigurationItems` (list of AppConfigItem, optional)
- `nextToken` (string, optional)

## Errors

### 404 Not Found Error

Not Found

- `error` (NotFoundErrorError, optional)

## Types

### AppConfigItem

- `type`: `aa_sequence` (aa_sequence)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `array_element` (array_element)
  - `apiURL` (string, optional)
  - `app` (ArrayElementAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `id` (string, optional)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
- `type`: `boolean` (boolean)
  - `apiURL` (string, optional)
  - `app` (BooleanAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (boolean, optional, nullable)
- `type`: `box` (box)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `box_schema` (box_schema)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `container` (container)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `container_schema` (container_schema)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `custom_entity` (custom_entity)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `date` (date)
  - `apiURL` (string, optional)
  - `app` (DateAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `datetime` (datetime)
  - `apiURL` (string, optional)
  - `app` (DatetimeAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `dna_oligo` (dna_oligo)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `dna_sequence` (dna_sequence)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `dropdown` (dropdown)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `dropdown_option` (dropdown_option)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `entity_schema` (entity_schema)
  - `apiURL` (string, optional)
  - `app` (EntitySchemaAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `subtype` (enum, optional)
    - Allowed values: `aa_sequence`, `dna_sequence`, `custom_entity`, `mixture`, `molecule`, `dna_oligo`, `rna_oligo`, `rna_sequence`
  - `value` (string, optional, nullable)
- `type`: `entry` (entry)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `entry_schema` (entry_schema)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `field` (field)
  - `apiURL` (string, optional)
  - `app` (FieldAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `float` (float)
  - `apiURL` (string, optional)
  - `app` (FloatAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (float, optional, nullable)
- `type`: `folder` (folder)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `integer` (integer)
  - `apiURL` (string, optional)
  - `app` (IntegerAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (integer, optional, nullable)
- `type`: `json` (json)
  - `apiURL` (string, optional)
  - `app` (JsonAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `legacy_request_schema` (legacy_request_schema)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `location` (location)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `location_schema` (location_schema)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `mixture` (mixture)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `molecule` (molecule)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `plate` (plate)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `plate_schema` (plate_schema)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `project` (project)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `registry` (registry)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `result_schema` (result_schema)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `rna_oligo` (rna_oligo)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `rna_sequence` (rna_sequence)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `run_schema` (run_schema)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `secure_text` (secure_text)
  - `apiURL` (string, optional)
  - `app` (SecureTextAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `text` (text)
  - `apiURL` (string, optional)
  - `app` (TextAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `workflow_task_schema` (workflow_task_schema)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `workflow_task_status` (workflow_task_status)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)
- `type`: `worklist` (worklist)
  - `apiURL` (string, optional)
  - `app` (GenericApiIdentifiedAppConfigItemApp, optional)
  - `createdAt` (datetime, optional) — DateTime the app config item was created
  - `description` (string, optional)
  - `id` (string, optional)
  - `linkedResource` (LinkedAppConfigResource, optional, nullable)
  - `modifiedAt` (datetime, optional) — DateTime the app config item was last modified
  - `path` (list of string, optional) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `requiredConfig` (boolean, optional)
  - `value` (string, optional, nullable)

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

### GenericApiIdentifiedAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### LinkedAppConfigResource

### ArrayElementAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### BooleanAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### DateAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### DatetimeAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### EntitySchemaAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### FieldAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### FloatAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### IntegerAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### JsonAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### SecureTextAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### TextAppConfigItemApp

- `id` (string, optional) — The id of the Benchling app to which this configuration item belongs

### LinkedAppConfigResourceSummary

- `id` (string, optional) — The API ID of the linked resource
- `name` (string, optional) — The name of the resource in Benchling

### InaccessibleResource

- `inaccessibleId` (string, optional)
- `type` (string, optional) — The type of this inaccessible item. Example values: "custom_entity", "container", "plate", "dna_sequence"

## Examples

**Response**

```json
{
  "appConfigurationItems": [
    {
      "apiURL": "string",
      "app": {
        "id": "string"
      },
      "createdAt": "2024-01-15T09:30:00Z",
      "id": "string",
      "modifiedAt": "2024-01-15T09:30:00Z",
      "path": [
        "My Schema 1",
        "My Field 1"
      ],
      "type": "string"
    }
  ],
  "nextToken": "string"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/app-configuration-items"

querystring = {"appId":"app_e59sjL23Pqn30xHg","ids":"aci_VfVOART1,aci_RFhDGaaC","modifiedAt":"> 2022-03-01 AND < 2022-04-01"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/app-configuration-items?appId=app_e59sjL23Pqn30xHg&ids=aci_VfVOART1%2Caci_RFhDGaaC&modifiedAt=%3E+2022-03-01+AND+%3C+2022-04-01';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```